dcl_settings : default_dcl_settings { audit_level = 3; }

clg_button : button {
    alignment = centered;
    vertical_margin = none;
    horizontal_margin = none;
    fixed_width = true;
    height = 1;
    width = 15;
}

clg_image : image {
    alignment = centered;
    horizontal_margin = none;
    vertical_margin = none;
}

clg_popup_list : popup_list {
    alignment = right;
    horizontal_margin = tiny;
    vertical_margin = tiny;
}

clg_toggle : toggle {
    alignment = centered;
    horizontal_margin = none;
    vertical_margin = none;
}

clg_radio_button : radio_button {
    alignment = centered;
    horizontal_margin = none;
    vertical_margin = none;
}

clg_boxed_radio_column : boxed_radio_column {
    alignment = centered;
    horizontal_margin = tiny;
    vertical_margin = tiny;
}

clg_column : column {
    alignment = centered;
}

clg_column_lt : column {
    alignment = left;
}

clg_boxed_column : boxed_column {
    alignment = right;
    horizontal_margin = tiny;
    vertical_margin = tiny;
}

clg_boxed_radio_row : boxed_radio_row {
    alignment = centered;
    horizontal_margin = tiny;
    vertical_margin = tiny;
}

clg_radio_row : radio_row {
    alignment = centered;
}

clg_boxed_row : boxed_row {
    alignment = centered;
    horizontal_margin = tiny;
    vertical_margin = tiny;
}

clg_row : row {
    alignment = centered;
}

clg_row_lt : row {
    alignment = left;
}

clg_row_rt : row {
    alignment = right;
}


clg_text : text {
    alignment = centered;
    horizontal_margin = tiny;
    vertical_margin = tiny;
}

clg_textl : text {
    alignment = left;
    horizontal_margin = tiny;
    vertical_margin = tiny;
}

clg_textr : text {
    alignment = right;
    horizontal_margin = tiny;
    vertical_margin = tiny;
}

clg_list_box : list_box {
    alignment = centered;
    horizontal_margin = none;
    vertical_margin = none;
}

clg_edit_box : edit_box {
    alignment = centered;
    vertical_margin   = none;
    height	      = 1;
}

clg : dialog {
      label = "CLG Doctor(tm) - CAD Layer Guidelines Management Dialog";
      fixed_width = true;
      width = 50;
  : clg_row {
    : clg_column {
      : clg_row {
         fixed_width        = true;
        : clg_boxed_radio_row {
            key             = "clg_length";
            value           = "0";
            label           = "Format";
          :clg_radio_button {
            label           = "Long";
            mnemonic	    = "L";
            key             = "clg_long";
            value           = "0";
            }
          :clg_radio_button {
            label           = "Short";
            mnemonic	    = "o";
            key             = "clg_short";
            value           = "0";
            }
        }
      }
    }
    : clg_column {
          : clg_button {
            mnemonic	    = "S";
            label           = "Set To";
            key             = "Set_exlayr";
            width           = 8;
          }
      }
    : clg_column {
          : clg_popup_list {
            tabs            = "8 10 14 16";
            key             = "Exist_lay";
            mnemonic	    = "x";
            label           = "  Existing Layer:";
            edit_width      = 25;
            value           = "0";
            }
          : clg_edit_box {
            key             = "clg_layer";
            label           = "CLG Layer Built:";
            edit_width      = 25;
            }
      }
    }
      : clg_boxed_column {
        label           = "Build CLG Layer Names";
        : clg_row_lt {
        : clg_column_lt {
        : clg_row_rt {
          : clg_button {
            label           = "Edit";
            mnemonic	    = "E";
            key             = "Edit_major";
            width           = 5;
          }
          : text {
            label           = "Major Group:";
          }
        }        
        : clg_row_rt {
        : clg_toggle {
            key             = "use_ltypes";
            value           = "1";
            mnemonic	    = "n";
            label           = "Linetype:";
          }
          : text {
            label           = " ";
          }
        }
        : clg_row_rt {
          : clg_button {
            label           = "Edit";
            mnemonic	    = "d";
            key             = "Edit_minor";
            width           = 5;
          }
          : text {
            label           = "Minor Group:";
          }
        }
        : clg_row_rt {
        : clg_toggle {
            key             = "use_colors";
            value           = "1";
            mnemonic	    = "C";
            label           = "Color:";
          }
          : text {
            label           = " ";
          }
        }
        : clg_row_rt {
          : clg_button {
            label           = "Edit";
            mnemonic	    = "i";
            key             = "Edit_modif";
            width           = 5;
          }
          : text {
            label           = "      Modifier:";
            key		    = "modif_txt";
          }
        }
        : clg_row_rt {
          : clg_button {
            label           = "Edit";
            mnemonic	    = "t";
            key             = "Edit_user";
            width           = 5;
          }
          : text {
            label           = "User Defined:";
            key 	    = "user_txt";
          }
        }
        }
        : clg_column {
          : clg_popup_list {
            tabs            = "8 10 14 16";
            fixed_width     = true;
            key             = "Major";
            width           = 50;
            }
          : clg_popup_list {
            tabs            = "8 10 14 16";
            fixed_width     = true;
            key             = "Ltype";
            width           = 50;
            }
          : clg_popup_list {
            tabs            = "8 10 14 16";
            fixed_width     = true;
            key             = "Minor";
            width           = 50;
          }
          : clg_popup_list {
            tabs            = "8 10 14 16";
            fixed_width     = true;
            key             = "Color";
            width           = 50;
            }
          : clg_popup_list {
            tabs            = "8 10 14 16";
            fixed_width     = true;
            key             = "Modifier";
            width           = 50;
          }
          : clg_popup_list {
            tabs            = "8 10 14 16";
            fixed_width     = true;
            key             = "User_defined";
            width           = 50;
          }
        }
      }
    }
    : clg_row {
          : clg_button {
            label           = "Manuipulate Layers";
            mnemonic	    = "M";
            key             = "manip_layers";
          }
      ok_cancel_help;
      : spacer {}
    }
        : clg_text {
          key		= "clg_err";
          width		= 65;
        }
}

clg_major : dialog {
      initial_focus         = "new_item";
      label                 = "Edit CLG Major Group Items";
  : clg_column {
          : clg_list_box {
            tabs            = "8 10 14 16";
            multiple_select = true;
            key             = "major_add";
            label           = "Major Group: ";
            }
          : clg_edit_box {
            key             = "new_item";
            allow_accept    = true;
            edit_width      = 65;
            }
      : clg_boxed_row {
            label           = "Edit Major Group Items and Descriptions";
          : clg_text {
            value           = "Editing of the Major Group list is discouraged";
            key             = "group_name";
            width           = 44;
          }
          : clg_button {
	    width           = 12;
            label           = "Append Tab-Tab";
            key             = "insert_tab";
          }
      }
  }
  : clg_row {
          : clg_button {
	    width           = 12;
            label           = "Add";
            key             = "Add_more";
          }
          : clg_button {
	    width           = 12;
            label           = "Replace";
            key             = "Repl_line";
          }
          : clg_button {
	    width           = 12;
            label           = "Delete";
            key             = "Delete_line";
          }
          : clg_button {
	    width           = 12;
            is_default      = true;
            label           = "Done";
            key             = "Add_done";
          }
          : clg_button {
	    width           = 12;
            is_cancel       = true;
            label           = "Cancel";
            key             = "Add_cancel";
          }
        }
}

clg_minor : dialog {
      initial_focus         = "new_item";
      label                 = "Edit CLG Minor Group Items";
  : clg_column {
          : clg_list_box {
            tabs            = "8 10 14 16";
            multiple_select = true;
            key             = "minor_add";
            label           = "Minor Group: ";
            }
          : clg_edit_box {
            key             = "new_item";
            allow_accept    = true;
            edit_width      = 65;
            }
      : clg_boxed_row {
            label           = "Edit Minor Group Items and Descriptions";
          : clg_text {
            value           = "ITEM - New Descriptive Text";
            key             = "group_name";
            width           = 44;
          }
          : clg_button {
	    width           = 12;
            label           = "Append Tab-Tab";
            key             = "insert_tab";
          }
      }
  }
  : clg_row {
          : clg_button {
	    width           = 12;
            label           = "Add";
            key             = "Add_more";
          }
          : clg_button {
	    width           = 12;
            label           = "Replace";
            key             = "Repl_line";
          }
          : clg_button {
	    width           = 12;
            label           = "Delete";
            key             = "Delete_line";
          }
          : clg_button {
	    width           = 12;
            is_default      = true;
            label           = "Done";
            key             = "Add_done";
          }
          : clg_button {
	    width           = 12;
            is_cancel       = true;
            label           = "Cancel";
            key             = "Add_cancel";
          }
        }
}

clg_modif : dialog {
      initial_focus         = "new_item";
      label                 = "Edit CLG Modifier Group Items";
  : clg_column {
          : clg_list_box {
            tabs            = "8 10 14 16";
            multiple_select = true;
            key             = "modif_add";
            label           = "Modifier Group: ";
            }
          : clg_edit_box {
            key             = "new_item";
            allow_accept    = true;
            edit_width      = 65;
            }
      : clg_boxed_row {
            label           = "Edit Modifier Group Items and Descriptions";
          : clg_text {
            value           = "ITEM - New Descriptive Text";
            key             = "group_name";
            width           = 44;
          }
          : clg_button {
	    width           = 12;
            label           = "Append Tab-Tab";
            key             = "insert_tab";
          }
      }
  }
  : clg_row {
          : clg_button {
	    width           = 12;
            label           = "Add";
            key             = "Add_more";
          }
          : clg_button {
	    width           = 12;
            label           = "Replace";
            key             = "Repl_line";
          }
          : clg_button {
	    width           = 12;
            label           = "Delete";
            key             = "Delete_line";
          }
          : clg_button {
	    width           = 12;
            is_default      = true;
            label           = "Done";
            key             = "Add_done";
          }
          : clg_button {
	    width           = 12;
            is_cancel       = true;
            label           = "Cancel";
            key             = "Add_cancel";
          }
        }
}

clg_user : dialog {
      initial_focus         = "new_item";
      label                 = "Edit CLG User Defined Items";
  : clg_column {
          : clg_list_box {
            tabs            = "8 10 14 16";
            multiple_select = true;
            key             = "user_add";
            label           = "User Defined Group: ";
            }
          : clg_edit_box {
            key             = "new_item";
            allow_accept    = true;
            edit_width      = 65;
            }
      : clg_boxed_row {
            label           = "Edit User Defined Items and Descriptions";
          : clg_text {
            value           = "ITEM  - New Descriptive Text";
            key             = "group_name";
            width           = 44;
          }
          : clg_button {
	    width           = 12;
            label           = "Append Tab-Tab";
            key             = "insert_tab";
          }
      }
  }
  : clg_row {
          : clg_button {
	    width           = 12;
            label           = "Add";
            key             = "Add_more";
          }
          : clg_button {
	    width           = 12;
            label           = "Replace";
            key             = "Repl_line";
          }
          : clg_button {
	    width           = 12;
            label           = "Delete";
            key             = "Delete_line";
          }
          : clg_button {
	    width           = 12;
            is_default      = true;
            label           = "Done";
            key             = "Add_done";
          }
          : clg_button {
	    width           = 12;
            is_cancel       = true;
            label           = "Cancel";
            key             = "Add_cancel";
          }
        }
}

clg_manip : dialog {
      initial_focus         = "new_item";
      label 		    = "CLG Doctor(tm) - Layer Manipulation Tool";
          : row {
          : clg_boxed_column {
              label		= "CLG Groups";
            : clg_text {
              label           = "Edits and Wildcards OK";
            }
            : clg_textl {
              label           = "String: ";
              key	      = "man_str";
              width	      = 20;
            }
            : clg_edit_box {
              key             = "clg_major";
              edit_width      = 15;
              mnemonic        = "M";
              label	      = "Major";
            }
            : clg_edit_box {
              key             = "clg_ltype";
              edit_width      = 15;
              mnemonic        = "L";
              label	      = "Linetype";
            }
            : clg_edit_box {
              key             = "clg_minor";
              edit_width      = 15;
              mnemonic        = "i";
              label	      = "Minor";
            }
            : clg_edit_box {
              key             = "clg_color";
              edit_width      = 15;
              mnemonic        = "o";
              label	      = "Color";
            }
            : clg_edit_box {
              key             = "clg_modif";
              edit_width      = 15;
              mnemonic        = "d";
              label	      = "Modifier";
            }
            : clg_edit_box {
              key             = "clg_userd";
              edit_width      = 15;
              mnemonic        = "U";
              label	      = "User";
            }
        : spacer {}
        }
        : column {
          : clg_boxed_column {
            : clg_toggle {
              key           = "clg_select";
              mnemonic	    = "C";
              label         = "Create Selection Set";
            }
            : clg_text {
              label           = "\"!clgss\" or \"previous\" to use";
            }
            : spacer {}
          }
          : clg_boxed_column {
              label		= "Change Settings";
          : clg_popup_list {
            label	    = "On/Off:   ";
            mnemonic        = "n";
            fixed_width     = true;
            key             = "lay_onoff";
            edit_width      = 8;
            list	    = "Keep\nOn\nOff\n ";
          }
          : clg_popup_list {
            label	    = "Freeze/Thaw:";
            mnemonic        = "F";
            fixed_width     = true;
            key             = "lay_frzthw";
            edit_width      = 8;
            list	    = "Keep\nFreeze\nThaw\n ";
          }
          : clg_popup_list {
            label	    = "VPfreeze/Thaw:";
            mnemonic        = "V";
            fixed_width     = true;
            key             = "lay_vpfthw";
            edit_width      = 8;
            list	    = "Keep\nFreeze\nThaw\n ";
          }
          : clg_popup_list {
            label	    = "Lock/Unlock: ";
            mnemonic        = "k";
            fixed_width     = true;
            key             = "lay_lckunl";
            edit_width      = 8;
            list	    = "Keep\nLock\nUnlock\n ";
          }
          : clg_popup_list {
            label	    = "Plot/Noplot:";
            mnemonic        = "P";
            fixed_width     = true;
            key             = "lay_pltnop";
            edit_width      = 8;
            list	    = "Keep\nPlot\nNoplot\n ";
          }
        : spacer {}
        }
        }
      }
      ok_cancel_help;
        : clg_text {
          key		= "clg_err";
          width		= 65;
        }
}
